Name:           kvantum
Version:        0.10.8
Release:        2%{?dist}
Summary:        Kvantum is a SVG-based theme engine for Qt5, KDE and LXQT.

License:        GPLv2+
URL:            https://github.com/tsujan/Kvantum

Source0:        https://github.com/tsujan/Kvantum/archive/V%{version}.tar.gz

BuildRequires: qt5-qtsvg-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtx11extras-devel
BuildRequires: qt5-qttools-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: cmake3
Requires: qt5-qtsvg
Requires: qt5-qtbase
Requires: qt5-qtx11extras
Requires: libX11
Requires: libXext

%description
Kvantum has a default dark theme, which is inspired by the default theme of
Enlightenment. Creation of realistic themes like that for KDE was my first
reason to make Kvantum but it goes far beyond its default theme: you could make
themes with very different looks and feels for it, whether they be
photorealistic or cartoonish, 3D or flat, embellished or minimalistic, or
something in between, and Kvantum will let you control almost every aspect of
Qt widgets.

Kvantum also comes with extra themes that are installed as root with Qt5
installation and can be selected and activated by using Kvantum Manager.

%prep
%setup -q -n 'Kvantum-%{version}'

%build
mkdir Kvantum/build
pushd Kvantum/build
%cmake3 ..
%make_build

%install
pushd Kvantum/build
%make_install

%files
%{_bindir}/kvantummanager
%{_bindir}/kvantumpreview
%{_qt5_plugindir}/styles/libkvantum.so
%{_datadir}/Kvantum
%{_datadir}/applications/kvantummanager.desktop
%{_datadir}/color-schemes
%{_datadir}/themes
%{_datadir}/icons/hicolor/scalable/apps/kvantum.svg
%{_datarootdir}/kvantummanager
%{_datarootdir}/kvantumpreview
%exclude %{_datadir}/kde4

%changelog
* Thu Aug 16 2018 Dennis M. Pöpperl <free-software@dm-poepperl.de> - 0.10.8-2
- Add dependencies

* Thu Aug 16 2018 Dennis M. Pöpperl <free-software@dm-poepperl.de> - 0.10.8-1
- Rework for Copr; update to 0.10.8

* Sat Jul 23 2016 Marc Deop <marc@marcdeop.com> - 0.10.0-1
- Initial version
